/**
 * Created by mar105 on 2019-01-08.
 */
import React from 'react';
import { connect } from 'umi';
import QuotationPackTableTree from '../../../components/QuoQuotation/QuotationPackTableTree/QuotationPackTableTree';

function QuotationComponent({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const commonBillProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };
  return (
    <QuotationPackTableTree {...commonBillProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(QuotationComponent);

